Page MenuHomePhabricator

ContentTranslation creates references that render themselves as UNIQ--nowiki-00000007-QINU
Closed, ResolvedPublic

Description

ContentTranslation created a reference that renders as UNIQ--nowiki-00000007-QINU at [[Google Cardboard]] in he.wikipedia.

See https://he.wikipedia.org/w/index.php?title=%D7%92%D7%95%D7%92%D7%9C_%D7%A7%D7%90%D7%A8%D7%93%D7%91%D7%95%D7%A8%D7%93&action=edit&oldid=17292153

This might be a Cite bug, but if CX could avoid it somehow, it would be nice.

Event Timeline

Amire80 created this task.Jul 29 2015, 4:18 PM
Amire80 raised the priority of this task from to Normal.
Amire80 updated the task description. (Show Details)
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 29 2015, 4:18 PM
Amire80 set Security to None.

I think I see why this could happen. Possibly because the ref was inside a link (in RTL it's very non-obvious on the first look).

I cannot reproduce it on a cleaner page, however, so there must be something else in play. I'd love to debug this with somebody who knows Cite (and Parsoid?).

And another one: https://he.wikipedia.org/w/index.php?oldid=17527714

In all of the examples above the <ref> tag crept inside the [[]] link. We should prevent it even if we don't resolve the QINU problem completely.

Amire80 renamed this task from ContentTranslation created a reference that renders as UNIQ--nowiki-00000007-QINU at [[Google Cardboard]] in he.wikipedia to ContentTranslation creates references that render themselves as UNIQ--nowiki-00000007-QINU.Sep 29 2015, 8:25 AM
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 1 2015, 8:38 PM
Amire80 moved this task from CX7 to Bugs on the ContentTranslation board.Oct 16 2015, 6:55 AM

The underlying issue is probably T27417, though it could possibly be worked around on the CX side (or maybe in Parsoid).

Izno moved this task from Unsorted backlog to Defect backlog on the Cite board.Aug 22 2016, 5:38 PM
Amire80 closed this task as Resolved.Sep 26 2016, 5:24 AM
Amire80 claimed this task.

I'm not sure how, but this seems to be fixed. In the last few months I saw many articles with references messed up in other ways, but not with QINU.

I'll reopen if I'll see this again.